libsyncml 0.5.4

- Main Page
- Modules
- Data Structures
- Files

Typedefs | Functions
XML Parser
Internal XML/WBXML API

Interfaces to parse SyncML XML messages. More...

Collaboration diagram for XML Parser:

## Typedefs

typedef struct SmlXmlParser | SmlXmlParser

## Functions

SmlXmlParser * | smlXmlParserNew (SmlParserFunctions *functions, SmlError **error)
SmlBool | smlXmlParserStart (SmlXmlParser *parser, const char *data, unsigned int size, SmlError **error)
| Start the parsing.
SmlBool | smlXmlParserEnd (SmlXmlParser *parser, SmlBool *final, SmlBool *end, SmlError **error)
void | smlXmlParserFree (SmlXmlParser *parser)
SmlBool | smlXmlParserGetHeader (SmlXmlParser *parser, SmlHeader **header, SmlCred **cred, SmlError **error)
SmlBool | smlXmlParserGetStatus (SmlXmlParser *parser, SmlStatus **status, SmlError **error)
SmlParserResult | smlXmlParserGetCommand (SmlXmlParser *parser, SmlCommand **cmd, SmlError **error)
SmlDevInf * | smlXmlDevInfParse (const char *data, unsigned int size, SmlError **error)

## Detailed Description

Interfaces to parse SyncML XML messages.

## Function Documentation

SmlBool smlXmlParserStart | ( | SmlXmlParser * | parser,
|  | const char * | data,
|  | unsigned int | size,
|  | SmlError ** | error
| ) |  |

Start the parsing.

This will set everything up and parse until the SyncHdr

Definition at line 1915 of file sml_xml_parse.c.

Here is the call graph for this function: